# KairoEngine.UI Change Log

### v0.1.1

- Refactored ``ColumnMenuUI`` into an extra base class called ``MenuUI``. Both classes work the same, but the column can render submenus.
- Imported the legacy ``ActivityMessage``, ``ActivityMessageController`` and ``ActivityMessageUI`` from the Max Raider project. Then assets where refactored to use the new UI namespace. 
- Created ``UiManager`` methods to register, unregister, show and hide interface elements. Also created the ``UiSystemElementExample`` that implements the ``IUiSystemElement`` interface.
- Removed the prefabs **FloatingValuesPrefab** and the **FloatingHealthBarPrefab**. Also removed references to them in the ``UiSystemModule`` loader. Both of this assets depended on code from the **CharacterSystem** module.
- Removed the Dialogue folder containing the ``DialogueManager`` and ``SpeechBuble`` scripts. They require the **NodeCanvas** package which should not be require for this package.
- Removed old dependencies in runtime assembly file

### v0.1.0

- Initial version from Max Raider.
